Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Read_unit/Read_unit/Read_queue/SelfTest/src/test.cpp
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Read_unit/Read_unit/Read_queue/SelfTest/src/test.cpp	(revision 81)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Read_unit/Read_unit/Read_queue/SelfTest/src/test.cpp	(revision 82)
@@ -7,37 +7,10 @@
  */
 
-#include "Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Read_unit/Read_unit/Read_queue/SelfTest/include/test.h"
-#include "Common/include/Test.h"
-
 #define NB_ITERATION  1
 //64
 #define CYCLE_MAX     (1024*NB_ITERATION)
 
-#define LABEL(str)                                                                       \
-{                                                                                        \
-  cout << "{"+toString(static_cast<uint32_t>(sc_simulation_time()))+"} " << str << endl; \
-} while(0)
-
-static uint32_t cycle = 0;
-
-#define SC_START(cycle_offset)                                          \
-do                                                                      \
-{                                                                       \
-/*cout << "SC_START (begin)" << endl;*/                                 \
-                                                                        \
-  uint32_t cycle_current = static_cast<uint32_t>(sc_simulation_time()); \
-  if (cycle_current != cycle)                                           \
-    {                                                                   \
-      cycle = cycle_current;                                            \
-      cout << "##########[ cycle "<< cycle << " ]" << endl;             \
-    }                                                                   \
-                                                                        \
-  if (cycle_current > CYCLE_MAX)                                        \
-    {                                                                   \
-      TEST_KO("Maximal cycles Reached");                                \
-    }                                                                   \
-  sc_start(cycle_offset);                                               \
-/*cout << "SC_START (end  )" << endl;*/                                 \
-} while(0)
+#include "Behavioural/Core/Multi_Execute_loop/Execute_loop/Multi_Read_unit/Read_unit/Read_queue/SelfTest/include/test.h"
+#include "Common/include/Test.h"
 
 void test (string name,
@@ -54,5 +27,6 @@
 					     _parameters_statistics,
 #endif
-					     _param);
+					     _param,
+					     USE_ALL);
   
 #ifdef SYSTEMC
@@ -362,5 +336,5 @@
   for (uint32_t iteration=0; iteration<NB_ITERATION; iteration ++)
     {
-      LABEL("Iteration "+toString(iteration));
+      LABEL("Iteration %d",iteration);
       int32_t percent_transaction_queue_in     = (rand()%45)+30;
       int32_t percent_transaction_queue_out    = (rand()%45)+30;
@@ -518,12 +492,12 @@
 	  SC_START(0);
 	  
-	  LABEL("Test     READ_QUEUE_IN  : "+toString(READ_QUEUE_IN_VAL->read())+","+toString(READ_QUEUE_IN_ACK->read()));
+	  LABEL("Test     READ_QUEUE_IN  : %d,%d",READ_QUEUE_IN_VAL->read(),READ_QUEUE_IN_ACK->read());
 	  if ((READ_QUEUE_IN_VAL->read() == 1) and
 	      (READ_QUEUE_IN_ACK->read() == 1))
 	    {
-	      LABEL("Accepted READ_QUEUE_IN  ["+toString(request_in)+"]");
+	      LABEL("Accepted READ_QUEUE_IN  [%d]",request_in);
 	      request_in  ++;
 	    }
-	  LABEL("Test     READ_QUEUE_OUT : "+toString(READ_QUEUE_OUT_VAL->read())+","+toString(READ_QUEUE_OUT_ACK->read()));
+	  LABEL("Test     READ_QUEUE_OUT : %d,%d",READ_QUEUE_OUT_VAL->read(),READ_QUEUE_OUT_ACK->read());
 	  if ((READ_QUEUE_OUT_VAL->read() == 1) and
 	      (READ_QUEUE_OUT_ACK->read() == 1))
@@ -535,5 +509,5 @@
 		rob_id = 0;
 	      Tcontext_t ctxt   = _ooo_engine_id [rob_id];
-	      LABEL("Accepted READ_QUEUE_OUT ["+toString(rob_id)+"]");
+	      LABEL("Accepted READ_QUEUE_OUT [%d]",rob_id);
 	      
 	      TEST(uint32_t          , rob_id ,request_out);
